#ifndef FADER_H
#define FADER_H

#include <stdint.h>

int  fader_init(uint8_t nMod);
void fader_shutdown(void);
void fader_set_colour(uint8_t module, uint8_t r, uint8_t g, uint8_t b);
void fader_fade_colour(uint8_t module, uint8_t r, uint8_t g, uint8_t b);
void fader_add_colour(uint8_t module, uint8_t r, uint8_t g, uint8_t b);
void fader_set_fadestep(uint8_t newFadestep);
void fader_update(void);
void fader_wait_frame(void);

#endif // FADER_H
